package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * TABLE:imf:fp
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Imf {

    //主键
    private String inr ;
    //业务编号(IM号)
    private String ownref ;
    //影像批次号
    private String guid ;
    //创建日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat;
    //最后一次上传影像时间/解绑时间
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date upddat;
    //工作流类型
    private String workflow ;
    //工作流状态
    private String worksta ;
    //有效标识
    private String imgsta ;
    //影像数
    private int imgnum ;

    private String crenam;
    //备注
    private String rmk ;

    private String creinr ;
    //创建用户
    private String ownusr ;
    //所属实体
    private String etyextkey ;
    //所属机构
    private String usrbch ;
    //查验编号状态
    private String imfrefsta;

    //关联的业务编号
    private String subref ;

    //业务流水号
    private String trninr;
}
