package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.CodetableItem;
import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Trtp extends AbstractCommonVo {

    //Create Financing
    private  String crefinflg = NULLSTR;
    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;
    //Label of contract amount
    private  String labmaxamt = NULLSTR;
    //Reference to GetAddSub function
    private  String getaddsubfld = NULLSTR;
    //Flag
    private  String dfflag = NULLSTR;
    //收款人名称
    private  String recname = NULLSTR;
    //是否定向收付
    private  String flowflag = NULLSTR;
    //外币?'?款专户清单
    private  String act = NULLSTR;
    //Account Flag of Foreign Finance
    private  String ffaflg = NULLSTR;
    //外币?'?款专户开关控制
    private  String ffactl = NULLSTR;
    //外汇贷款专户
    private Wbdp wbdp;
    private Usr usr;

    /**
     * 融资币种下拉列表
     */
    private List<CodetableItem> curSet;

    //LPR期限品种是否展示
    private String lprtypVisiable = "";

    //LPR期限品种是否disable
    private String lprtypDisable = "";

    @Override
    public void reset() {
        if (wbdp == null) {
            wbdp = new Wbdp();
        }
        if (usr == null) {
            usr = new Usr();
        }
        if (curSet == null) {
            curSet = new ArrayList<>();
        }
    }
}
