package com.brilliance.isc.common.vo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.HashSet;
import java.util.Set;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CnybopVo {
    private String traflg = NULLSTR;

    //是否报送跨境人民币2101表
    private String cnyflg = NULLSTR;

    //是否报送跨境人民币2111表
    private String outflg = NULLSTR;

    //是否报送跨境人民币2106表
    private String libflg = NULLSTR;

    //是否报送跨境人民币2122表
    private String vouflg = NULLSTR;

    private CnyvouVo cnyvou;

    //交易附言
    private  String saddwordvou = NULLSTR;

    //担保人名称
    private String svouchername = NULLSTR;
    //担保权人名称

    private String svoucheename = NULLSTR;
    //债务人名称

    private String sdebtorname = NULLSTR;
    //反担保人名称

    private String sreversename = NULLSTR;

    //银行机构名称
    private String sbankname = NULLSTR;

    private Set<String> modifySet = new HashSet<>();

    public boolean isModified(String key){
        return modifySet.contains(key);
    }

}
