package com.brilliance.isc.vo.finance;

import com.brilliance.isc.esb.model.whj.content.sinosure.InvoiceList;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfssrQueryVo {

    // 查询类型
    private String seatyp;

    // 操作类型
    private String operate;

    // 外管局融资申请编号
    private String safeassetid;

    // 中信保保单号
    private String policyno;

    // 买方代码
    private String buyerno;

    // 发票号码
    private String invoiceno;

    // 客户号
    private String cliextkey;

    // 客户名称
    private String clinam;

    // 组织机构代码
    private String custcode;

    // 查询码
    private String seacod;

    // 发票清单
    private List<InvoiceList> inelst;

}
