package com.brilliance.isc.vo.lc;

import com.brilliance.isc.bo.Brd;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BrdWithPtsCbbResponseVo extends Brd {

    /**
     * 货物类型
     */
    private String stagod;
    /**
     * 信用证编号
     */
    private String pntref;
    /**
     * 币种
     */
    private String cur;

    /**
     * 单据金额
     */
    private BigDecimal amt;
    /**
     * 币种
     */
    private String opncur;

    /**
     * 余额
     */
    private BigDecimal opnamt;

    /**
     * 申请人
     */
    private String aplExtkey;

    /**
     * 申请人名称
     */
    private String aplName;
    /**
     * 受益人编号
     */
    private String benExtkey;

    /**
     * 受益人名称
     */
    private String benName;
    /**
     * 通知行BIC
     */
    private String advExtkey;

    /**
     * 通知行名称
     */
    private String advName;
    /**
     * 交单行
     */
    private String prbExtkey;

    /**
     * 交单行名称
     */
    private String prbName;
    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;
}

