package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.FremsgVo;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GetfreStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private FremsgVo fremsg;
    private SwiaddVo swiadd;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if(fremsg == null){
            fremsg = new FremsgVo();
        }
        fremsg.reset();
        if(swiadd == null){
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }
}
