package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class TrnBcrincVo {
    /**
     * INR
     */
    private String inr;
    /**
     * EXTKEY
     */
    private String usr;
    /**
     * 交易名称
     */
    private String inifrm;
    /**
     * 业务编号
     */
    private String ownref;
    /**
     * 记账机构
     */
    private String accbchinr;
    /**
     * 格式化后日期（YYYY-MM）
     */
    private String cpldattim;
    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date datetim;
}
