package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AamsetVo extends AbstractCommonVo {

    private BigDecimal utlamt = Decimals.ZERO_SCALE2;

    private BigDecimal utlamt2 = Decimals.ZERO_SCALE2;

    private String amt2okflg = NULLSTR;
}
