package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL81 额度查询请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL81 extends AbsReqNew {

    public ReqCL81() {
    }

    public ReqCL81(String KEHULX, String ECIFNO, String SWIFTH, String ZZJGDM, String EDBHAO, String EDPINZ, String SHCXCY, String EDBZDM, String EDZTDM, String EDLEIX, String RUZHJG, String FLMXBH) {
        this.KEHULX = KEHULX;
        this.ECIFNO = ECIFNO;
        this.SWIFTH = SWIFTH;
        this.ZZJGDM = ZZJGDM;
        this.EDBHAO = EDBHAO;
        this.EDPINZ = EDPINZ;
        this.SHCXCY = SHCXCY;
        this.EDBZDM = EDBZDM;
        this.EDZTDM = EDZTDM;
        this.EDLEIX = EDLEIX;
        this.RUZHJG = RUZHJG;
        this.FLMXBH = FLMXBH;
    }

    /**
     * 客户类型[0,10]
     */
    public String KEHULX;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 同业SWIFT号[0,40]
     */
    public String SWIFTH;
    /**
     * 组织机构代码[0,50]
     */
    public String ZZJGDM;
    /**
     * 额度编号[0,40]
     */
    public String EDBHAO;
    /**
     * 额度品种[0,40]
     */
    public String EDPINZ;
    /**
     * 是否查询可串用额度[0,1]
     */
    public String SHCXCY;
    /**
     * 额度币种[0,10]
     */
    public String EDBZDM;
    /**
     * 额度状态[0,10]
     */
    public String EDZTDM;
    /**
     * 额度类型[0,10]
     */
    public String EDLEIX;
    /**
     * 入账机构[0,40]
     */
    public String RUZHJG;
    /**
     * 分类明细编号[0,40]
     */
    public String FLMXBH;

}
