package com.brilliance.isc.esb.model.ecif;

import java.util.LinkedList;
import java.util.List;

/**
 * @author tl19961012@163.com
 * @date 2023/2/13
 */
public class ReqCFA1 {
    /**
     * 客户号
     */
    public String ORGNO;
    /**
     *客户名称
     */
    public String ORGLEGALNAME;
    /**
     *客户简称
     */
    public String ORGSHORTNAME;
    /**
     *英文名称
     */
    public String ORCENNAME;
    /**
     *客户类别
     */
    public String ORGCLASSCD;
    /**
     *金融机构类型
     */
    public String FINORGTYPE;
    /**
     * 组织机构类型
     */
    public String ORGNATURETYPE;
    /**
     *组织机构类型（补充)
     */
    public String OURORGNATURETYPE;
    /**
     *所属国家地区代码
     */
    public String REGCOUNTRY;
    /**
     *国籍全称
     */
    public String FULLCOUNTRYNAME;
    /**
     *大洲代码
     */
    public String CONTINENTCODE;
    /**
     *大洲
     */
    public String CONTINENT;
    /**
     * 组织机构代码
     */
    public String NATIONALORGCODE;
    /**
     *组织机构代码有效日期
     */
    public String NATIONALORGEFFECTDT;
    /**
     *营业执照号
     */
    public String BUSLICENSENO;
    /**
     * 营业执照批准机构
     */
    public String BUSLICENSEAPPORG;
    /**
     *营业执照有效日期
     */
    public String BUSLICENSEEFFECTDT;
    /**
     *贷款卡号
     */
    public String LOANCARDNO;
    /**
     *是否取得信用信息查询书面授权
     */
    public String ISCETREPORTAUTH;
    /**
     *是否信用客户
     */
    public String CREDITELAG;
    /**
     *国税税务登记证号
     */
    public String TAXCERTIFICATENO;
    /**
     *国税税务登记证有效期
     */
    public String TAXCERTIFICATEEFFECTDT;
    /**
     *地税税务登记证号
     */
    public String LOCALTAXNO;
    /**
     * 地税税务登记证有效期
     */
    public String LOCALCERTIFICATEEFFECTDT;
    /**
     *机构信用代码证
     */
    public String CREDITCODENO;
    /**
     *机构信用代码证有效日期
     */
    public String CREDITCODEEFFECTDT;
    /**
     *审批文号
     */
    public String DOCUMENTNUM;
    /**
     *开户许可证号
     */
    public String OPENLICENSENO;
    /**
     *金融许可证号
     */
    public String FINLICENSENO;
    /**
     *证监会代码证号/经营保险业务许可证号
     */
    public String SECURLICENSENO;
    /**
     *外汇许可证号
     */
    public String FOREIGNLICENSENO;
    /**
     *企业外管代码
     */
    public String ENTEREXTERNALNO;
    /**
     *事业法人证书号码
     */
    public String ENTERCERTIFICATENUM;
    /**
     *收费许可证号码
     */
    public String FEELICENSENO;
    /**
     *外商企业投资登记证书
     */
    public String INVESTRECCODE;
    /**
     * 进出口经营权许可证书
     */
    public String FOREIGNTRADELICENCE;
    /**
     *Swift编号
     */
    public String SWIFTNO;
    /**
     *FCI编号(国际保理协会编号)
     */
    public String FCINO;
    /**
     *国标行业类型
     */
    public String INDUSTRYTYPE;
    /**
     *我行行业大类
     */
    public String OURINDUSTRYTYPE;
    /**
     *我行行业补充分类
     */
    public String OURINDTYPES;
    /**
     *行业类型2
     */
    public String INDUSTRYTYPE2;
    /**
     *企业经济成分
     */
    public String ECONOMICTYPE;
    /**
     *经济类型(国标)
     */
    public String BUSORGFORM;
    /**
     *经济类型(行标)
     */
    public String ECONOMICCLASS;
    /**
     *企业出资人经济成分
     */
    public String ORGHOLDINGTYPE;
    /**
     *企业规模(国标)
     */
    public String ENTPSZCD;
    /**
     *企业规模(行标)
     */
    public String ENTPSZCD1;
    /**
     * 是否新建企业
     */
    public String NEWENTPFLAC;
    /**
     *是否我行基本户客户
     */
    public String BASEACCOUNTFLAG;
    /**
     *基本账户开户行
     */
    public String BASEACCOUNTBANK;
    /**
     *基本户账号
     */
    public String BASTACCOUNTNO;
    /**
     *员工人数
     */
    public String EMPLOYERSNUM;
    /**
     *同业机构法人
     */
    public String FINORGNO;
    /**
     * 同业机构层级
     */
    public String FINORCLEVEL;
    /**
     *是否自贸区客户
     */
    public String FREETRADECUSTFLAG;
    /**
     *是否NRA账户
     */
    public String ISNRA;
    /**
     *是否我行股东
     */
    public String LSDIRECTOR;
    /**
     *是否CECM客户
     */
    public String INCECMFLAG;
    /**
     *客户状态
     */
    public String ORGSTATE;
    /**
     *是否正式客户
     */
    public String ORGLIFECYCLECD;
    /**
     *所属地区代码
     */
    public String REGAREACODE;
    /**
     *营业执照注册地址
     */
    public String REGADDRESS;
    /**
     *营业执照注册地址邮编
     */
    public String RECZIP;
    /**
     *营业执照注册地址地区代码
     */
    public String REGCODE;
    /**
     *企业注册地址
     */
    public String REGISTERADDRESS;
    /**
     * 企业注册地址地区代码
     */
    public String REGIONCODE;
    /**
     *企业注册地址邮编
     */
    public String RECISTERZIP;
    /**
     * 注册地是否为县级市及以下
     */
    public String URBANRURALFLAG;
    /**
     *成立日期
     */
    public String REGSTARTDATE;
    /**
     *注册资本币种
     */
    public String RECCAPITALCURR;
    /**
     *注册资本
     */
    public String REGCAPITAL;
    /**
     *是否寄送纸质对账单
     */
    public String MAILMETHOD;
    /**
     *财务报表类型
     */
    public String FINREPORTTYPE;
    /**
     *财政补助收入来源
     */
    public String CREDITBELONGFLAG;
    /**
     *产能过剩行业客户分类
     */
    public String EXCESSCAPACITYTYPE;
    /**
     *重点客户级别
     */
    public String CUSTLEVEL;
    /**
     *是否列入211工程
     */
    public String LERIGHTFLAG;
    /**
     *  是否担保公司
     */
    public String LSGUARCORP;
    /**
     *是否有进出口权
     */
    public String LNEXPORTFLAG;
    /**
     *是否高新技术企业
     */
    public String NEWTECHCORPORNOT;
    /**
     *是否三无企业
     */
    public String THREENOFLAG;
    /**
     *是否上市公司
     */
    public String LISTINGCORPFLAG;
    /**
     *关联客户标志
     */
    public String RELCUSTFLAG;
    /**
     *备注信息
     */
    public String NOTEINFO;
    /**
     *上级机构名称
     */
    public String HICHERDEPNAME;
    /**
     *上级机构组织机构代码证
     */
    public String HICHERDEPNATIONALNO;
    /**
     *上级机构基本存款账户开户许可证
     */
    public String HICHERDEPBASEOPENACCTNO;
    /**
     *上级机构法定代表人证件类型
     */
    public String HIGHERDEPLEGTYPE;
    /**
     *上级机构法定代表人证件号码
     */
    public String HICHERDEPLEGNO;
    /**
     *上级机构法定代表人证件有效日期
     */
    public String HICHERDEPLEGEFFEDT;
    /**
     *法定代表人名称
     */
    public String NAME;
    /**
     *法定代表人证件类型
     */
    public String REGTYPE;
    /**
     *法定代表人证件号码
     */
    public String REGNO;
    /**
     *法定代表人证件有效日期
     */
    public String LDEXPIRYDATE;
    /**
     *法定代表人电话
     */
    public String PHONE;
    /**
     *角色的ECIF客户号
     */
    public String ECIFNO;
    /**
     *办公地址邮编
     */
    public String POSTCODE;
    /**
     *办公地址
     */
    public String ADDRESS;
    /**
     *邮寄地址
     */
    public String POSTADDR;
    /**
     *网址
     */
    public String WEBADDR;
    /**
     *Email地址
     */
    public String MAILADDR;
    /**
     *联系人名称
     */
    public String CONTACTNAME;
    /**
     *联系人电话号码
     */
    public String CONTACTPHONE;
    /**
     *贷款卡登录码
     */
    public String LOANCARDPWD;
    /**
     *实收资本币种
     */
    public String PCCURRENCY;
    /**
     *实收资本
     */
    public String PAICLUPCAPITAL;
    /**
     *经营范围
     */
    public String BUSINESSSCOPE;
    /**
     * 政府融资平台层级
     */
    public String COVFINANCELEV;
    /**
     *政府投融资平台类型
     */
    public String FINANCINGTYPE;
    /**
     *政府融资平台财政隶属关系
     */
    public String GOVFINANCESUBJECT;
    /**
     *外部评级机构
     */
    public String OTHERORGNAME;
    /**
     *外部机构评级结果
     */
    public String OTHERCREDITLEVEL;
    /**
     *外部机构评级时间
     */
    public String OTHEREVALUATEDATE;
     /**
     *批准成立机构
     */
    public String APPESTABORG;
     /**
     *是否为光大集团股东客户
     */
    public String ISSTOCKHOLDER;
     /**
     *是否为光大集团关联单位
     */
    public String ISRELATED;
     /**
     *集团客户标志
     */
    public String PARTYGROUPFLAG;
     /**
     *所属集团客户编号
     */
    public String  PARTYGROUPNO;
     /**
     *所属集团客户名称
     */
    public String PARTYCROUPNAME;
     /**
     *开户证明材料种类
     */
    public String OPENCERTIFICATETYPE;
     /**
     *开户证明文件编号
     */
    public String OPENCERTIFICATENO;
     /**
     *开户证明材料有效日期
     */
    public String OPENCERTIFICATEEFFECTDT;
     /**
     *开户证明材料批准机关
     */
    public String OPENCERTIFICATEAPPORG;
     /**
     * 法定代表人个人角色编号
     */
    public String ATTRIBUTE1;
     /**
     *备注信息2
     */
    public String ATTRIBUTE2;
     /**
     *备注信息3
     */
    public String ATTRIBUTE3;
     /**
     *备注信息4
     */
    public String ATTRIBUTE4;
    /**
    *备注信息5
    */
    public String ATTRIBUTE5;
     /**
     *备注信息6
     */
    public String ATTRIBUTE6;
     /**
     *备注信息7
     */
    public String ATTRIBUTE7;
     /**
     *备注信息8
     */
    public String ATTRIBUTE8;
     /**
     *备注信息9
     */
    public String ATTRIBUTE9;
     /**
     *备注信息10
     */
    public String ATTRIBUTE10;
     /**
     *备注信息11
     */
    public String ATTRIBUTE11;
     /**
     *备注信息12
     */
    public String ATTRIBUTE12;
     /**
     *备注信息13
     */
    public String ATTRIBUTE13;
     /**
     *备注信息14
     */
    public String ATTRIBUTE14;
     /**
     *备注信息15
     */
    public String ATTRIBUTE15;
     /**
     *备注信息16
     */
    public String ATTRIBUTE16;
     /**
     *统一社会信用代码
     */
    public String UNIFIEDSOCIALCREDITCODE;
     /**
     *纳税人标识
     */
    public String TAXFLAG;
     /**
     *主营业务
     */
    public String MOSTBUSINESS;
    /**
     * 是否政府投融资平台
     */
    public String LSCOVFINANCE;
    /**
     *开户机构号
     */
    public String REGBRNO;
    /**
     *同一存款人客户号
     */
    public String SAMEDEPORGNO;
    /**
     *同一存款人社会信用代码
     */
    public String SAMEDEPSOCIALCODE;
    /**
     *同一存款人名称
     */
    public String SAMEDEPNAME;
    /**
     *同一存款人组织机构代码
     */
    public String SAMEDEPNATIONALCODE;

    public List<ItemFCFA21> FCFA21 = new LinkedList<>();

    public static class ItemFCFA21 {
        /**
         *重要标志类型
         */
        public String FLAGTYPE;
        /**
         *重要标志值
         */
        public String FLAGVALUE;

    }

    public ReqCFA1() {
    }

    public ReqCFA1(String ORGNO, String ORGLEGALNAME, String ORGSHORTNAME, String ORCENNAME, String ORGCLASSCD, String FINORGTYPE, String ORGNATURETYPE, String OURORGNATURETYPE, String REGCOUNTRY, String FULLCOUNTRYNAME, String CONTINENTCODE, String CONTINENT, String NATIONALORGCODE, String NATIONALORGEFFECTDT, String BUSLICENSENO, String BUSLICENSEAPPORG, String BUSLICENSEEFFECTDT, String LOANCARDNO, String ISCETREPORTAUTH, String CREDITELAG, String TAXCERTIFICATENO, String TAXCERTIFICATEEFFECTDT, String LOCALTAXNO, String LOCALCERTIFICATEEFFECTDT, String CREDITCODENO, String CREDITCODEEFFECTDT, String DOCUMENTNUM, String OPENLICENSENO, String FINLICENSENO, String SECURLICENSENO, String FOREIGNLICENSENO, String ENTEREXTERNALNO, String ENTERCERTIFICATENUM, String FEELICENSENO, String INVESTRECCODE, String FOREIGNTRADELICENCE, String SWIFTNO, String FCINO, String INDUSTRYTYPE, String OURINDUSTRYTYPE, String OURINDTYPES, String INDUSTRYTYPE2, String ECONOMICTYPE, String BUSORGFORM, String ECONOMICCLASS, String ORGHOLDINGTYPE, String ENTPSZCD, String ENTPSZCD1, String NEWENTPFLAC, String BASEACCOUNTFLAG, String BASEACCOUNTBANK, String BASTACCOUNTNO, String EMPLOYERSNUM, String FINORGNO, String FINORCLEVEL, String FREETRADECUSTFLAG, String ISNRA, String LSDIRECTOR, String INCECMFLAG, String ORGSTATE, String ORGLIFECYCLECD, String REGAREACODE, String REGADDRESS, String RECZIP, String REGCODE, String REGISTERADDRESS, String REGIONCODE, String RECISTERZIP, String URBANRURALFLAG, String REGSTARTDATE, String RECCAPITALCURR, String REGCAPITAL, String MAILMETHOD, String FINREPORTTYPE, String CREDITBELONGFLAG, String EXCESSCAPACITYTYPE, String CUSTLEVEL, String LERIGHTFLAG, String LSGUARCORP, String LNEXPORTFLAG, String NEWTECHCORPORNOT, String THREENOFLAG, String LISTINGCORPFLAG, String RELCUSTFLAG, String NOTEINFO, String HICHERDEPNAME, String HICHERDEPNATIONALNO, String HICHERDEPBASEOPENACCTNO, String HIGHERDEPLEGTYPE, String HICHERDEPLEGNO, String HICHERDEPLEGEFFEDT, String NAME, String REGTYPE, String REGNO, String LDEXPIRYDATE, String PHONE, String ECIFNO, String POSTCODE, String ADDRESS, String POSTADDR, String WEBADDR, String MAILADDR, String CONTACTNAME, String CONTACTPHONE, String LOANCARDPWD, String PCCURRENCY, String PAICLUPCAPITAL, String BUSINESSSCOPE, String COVFINANCELEV, String FINANCINGTYPE, String GOVFINANCESUBJECT, String OTHERORGNAME, String OTHERCREDITLEVEL, String OTHEREVALUATEDATE, String APPESTABORG, String ISSTOCKHOLDER, String ISRELATED, String PARTYGROUPFLAG, String PARTYGROUPNO, String PARTYCROUPNAME, String OPENCERTIFICATETYPE, String OPENCERTIFICATENO, String OPENCERTIFICATEEFFECTDT, String OPENCERTIFICATEAPPORG, String ATTRIBUTE1, String ATTRIBUTE2, String ATTRIBUTE3, String ATTRIBUTE4, String ATTRIBUTE5, String ATTRIBUTE6, String ATTRIBUTE7, String ATTRIBUTE8, String ATTRIBUTE9, String ATTRIBUTE10, String ATTRIBUTE11, String ATTRIBUTE12, String ATTRIBUTE13, String ATTRIBUTE14, String ATTRIBUTE15, String ATTRIBUTE16, String UNIFIEDSOCIALCREDITCODE, String TAXFLAG, String MOSTBUSINESS, String LSCOVFINANCE, String REGBRNO, String SAMEDEPORGNO, String SAMEDEPSOCIALCODE, String SAMEDEPNAME, String SAMEDEPNATIONALCODE, List<ItemFCFA21> FCFA21) {
        this.ORGNO = ORGNO;
        this.ORGLEGALNAME = ORGLEGALNAME;
        this.ORGSHORTNAME = ORGSHORTNAME;
        this.ORCENNAME = ORCENNAME;
        this.ORGCLASSCD = ORGCLASSCD;
        this.FINORGTYPE = FINORGTYPE;
        this.ORGNATURETYPE = ORGNATURETYPE;
        this.OURORGNATURETYPE = OURORGNATURETYPE;
        this.REGCOUNTRY = REGCOUNTRY;
        this.FULLCOUNTRYNAME = FULLCOUNTRYNAME;
        this.CONTINENTCODE = CONTINENTCODE;
        this.CONTINENT = CONTINENT;
        this.NATIONALORGCODE = NATIONALORGCODE;
        this.NATIONALORGEFFECTDT = NATIONALORGEFFECTDT;
        this.BUSLICENSENO = BUSLICENSENO;
        this.BUSLICENSEAPPORG = BUSLICENSEAPPORG;
        this.BUSLICENSEEFFECTDT = BUSLICENSEEFFECTDT;
        this.LOANCARDNO = LOANCARDNO;
        this.ISCETREPORTAUTH = ISCETREPORTAUTH;
        this.CREDITELAG = CREDITELAG;
        this.TAXCERTIFICATENO = TAXCERTIFICATENO;
        this.TAXCERTIFICATEEFFECTDT = TAXCERTIFICATEEFFECTDT;
        this.LOCALTAXNO = LOCALTAXNO;
        this.LOCALCERTIFICATEEFFECTDT = LOCALCERTIFICATEEFFECTDT;
        this.CREDITCODENO = CREDITCODENO;
        this.CREDITCODEEFFECTDT = CREDITCODEEFFECTDT;
        this.DOCUMENTNUM = DOCUMENTNUM;
        this.OPENLICENSENO = OPENLICENSENO;
        this.FINLICENSENO = FINLICENSENO;
        this.SECURLICENSENO = SECURLICENSENO;
        this.FOREIGNLICENSENO = FOREIGNLICENSENO;
        this.ENTEREXTERNALNO = ENTEREXTERNALNO;
        this.ENTERCERTIFICATENUM = ENTERCERTIFICATENUM;
        this.FEELICENSENO = FEELICENSENO;
        this.INVESTRECCODE = INVESTRECCODE;
        this.FOREIGNTRADELICENCE = FOREIGNTRADELICENCE;
        this.SWIFTNO = SWIFTNO;
        this.FCINO = FCINO;
        this.INDUSTRYTYPE = INDUSTRYTYPE;
        this.OURINDUSTRYTYPE = OURINDUSTRYTYPE;
        this.OURINDTYPES = OURINDTYPES;
        this.INDUSTRYTYPE2 = INDUSTRYTYPE2;
        this.ECONOMICTYPE = ECONOMICTYPE;
        this.BUSORGFORM = BUSORGFORM;
        this.ECONOMICCLASS = ECONOMICCLASS;
        this.ORGHOLDINGTYPE = ORGHOLDINGTYPE;
        this.ENTPSZCD = ENTPSZCD;
        this.ENTPSZCD1 = ENTPSZCD1;
        this.NEWENTPFLAC = NEWENTPFLAC;
        this.BASEACCOUNTFLAG = BASEACCOUNTFLAG;
        this.BASEACCOUNTBANK = BASEACCOUNTBANK;
        this.BASTACCOUNTNO = BASTACCOUNTNO;
        this.EMPLOYERSNUM = EMPLOYERSNUM;
        this.FINORGNO = FINORGNO;
        this.FINORCLEVEL = FINORCLEVEL;
        this.FREETRADECUSTFLAG = FREETRADECUSTFLAG;
        this.ISNRA = ISNRA;
        this.LSDIRECTOR = LSDIRECTOR;
        this.INCECMFLAG = INCECMFLAG;
        this.ORGSTATE = ORGSTATE;
        this.ORGLIFECYCLECD = ORGLIFECYCLECD;
        this.REGAREACODE = REGAREACODE;
        this.REGADDRESS = REGADDRESS;
        this.RECZIP = RECZIP;
        this.REGCODE = REGCODE;
        this.REGISTERADDRESS = REGISTERADDRESS;
        this.REGIONCODE = REGIONCODE;
        this.RECISTERZIP = RECISTERZIP;
        this.URBANRURALFLAG = URBANRURALFLAG;
        this.REGSTARTDATE = REGSTARTDATE;
        this.RECCAPITALCURR = RECCAPITALCURR;
        this.REGCAPITAL = REGCAPITAL;
        this.MAILMETHOD = MAILMETHOD;
        this.FINREPORTTYPE = FINREPORTTYPE;
        this.CREDITBELONGFLAG = CREDITBELONGFLAG;
        this.EXCESSCAPACITYTYPE = EXCESSCAPACITYTYPE;
        this.CUSTLEVEL = CUSTLEVEL;
        this.LERIGHTFLAG = LERIGHTFLAG;
        this.LSGUARCORP = LSGUARCORP;
        this.LNEXPORTFLAG = LNEXPORTFLAG;
        this.NEWTECHCORPORNOT = NEWTECHCORPORNOT;
        this.THREENOFLAG = THREENOFLAG;
        this.LISTINGCORPFLAG = LISTINGCORPFLAG;
        this.RELCUSTFLAG = RELCUSTFLAG;
        this.NOTEINFO = NOTEINFO;
        this.HICHERDEPNAME = HICHERDEPNAME;
        this.HICHERDEPNATIONALNO = HICHERDEPNATIONALNO;
        this.HICHERDEPBASEOPENACCTNO = HICHERDEPBASEOPENACCTNO;
        this.HIGHERDEPLEGTYPE = HIGHERDEPLEGTYPE;
        this.HICHERDEPLEGNO = HICHERDEPLEGNO;
        this.HICHERDEPLEGEFFEDT = HICHERDEPLEGEFFEDT;
        this.NAME = NAME;
        this.REGTYPE = REGTYPE;
        this.REGNO = REGNO;
        this.LDEXPIRYDATE = LDEXPIRYDATE;
        this.PHONE = PHONE;
        this.ECIFNO = ECIFNO;
        this.POSTCODE = POSTCODE;
        this.ADDRESS = ADDRESS;
        this.POSTADDR = POSTADDR;
        this.WEBADDR = WEBADDR;
        this.MAILADDR = MAILADDR;
        this.CONTACTNAME = CONTACTNAME;
        this.CONTACTPHONE = CONTACTPHONE;
        this.LOANCARDPWD = LOANCARDPWD;
        this.PCCURRENCY = PCCURRENCY;
        this.PAICLUPCAPITAL = PAICLUPCAPITAL;
        this.BUSINESSSCOPE = BUSINESSSCOPE;
        this.COVFINANCELEV = COVFINANCELEV;
        this.FINANCINGTYPE = FINANCINGTYPE;
        this.GOVFINANCESUBJECT = GOVFINANCESUBJECT;
        this.OTHERORGNAME = OTHERORGNAME;
        this.OTHERCREDITLEVEL = OTHERCREDITLEVEL;
        this.OTHEREVALUATEDATE = OTHEREVALUATEDATE;
        this.APPESTABORG = APPESTABORG;
        this.ISSTOCKHOLDER = ISSTOCKHOLDER;
        this.ISRELATED = ISRELATED;
        this.PARTYGROUPFLAG = PARTYGROUPFLAG;
        this.PARTYGROUPNO = PARTYGROUPNO;
        this.PARTYCROUPNAME = PARTYCROUPNAME;
        this.OPENCERTIFICATETYPE = OPENCERTIFICATETYPE;
        this.OPENCERTIFICATENO = OPENCERTIFICATENO;
        this.OPENCERTIFICATEEFFECTDT = OPENCERTIFICATEEFFECTDT;
        this.OPENCERTIFICATEAPPORG = OPENCERTIFICATEAPPORG;
        this.ATTRIBUTE1 = ATTRIBUTE1;
        this.ATTRIBUTE2 = ATTRIBUTE2;
        this.ATTRIBUTE3 = ATTRIBUTE3;
        this.ATTRIBUTE4 = ATTRIBUTE4;
        this.ATTRIBUTE5 = ATTRIBUTE5;
        this.ATTRIBUTE6 = ATTRIBUTE6;
        this.ATTRIBUTE7 = ATTRIBUTE7;
        this.ATTRIBUTE8 = ATTRIBUTE8;
        this.ATTRIBUTE9 = ATTRIBUTE9;
        this.ATTRIBUTE10 = ATTRIBUTE10;
        this.ATTRIBUTE11 = ATTRIBUTE11;
        this.ATTRIBUTE12 = ATTRIBUTE12;
        this.ATTRIBUTE13 = ATTRIBUTE13;
        this.ATTRIBUTE14 = ATTRIBUTE14;
        this.ATTRIBUTE15 = ATTRIBUTE15;
        this.ATTRIBUTE16 = ATTRIBUTE16;
        this.UNIFIEDSOCIALCREDITCODE = UNIFIEDSOCIALCREDITCODE;
        this.TAXFLAG = TAXFLAG;
        this.MOSTBUSINESS = MOSTBUSINESS;
        this.LSCOVFINANCE = LSCOVFINANCE;
        this.REGBRNO = REGBRNO;
        this.SAMEDEPORGNO = SAMEDEPORGNO;
        this.SAMEDEPSOCIALCODE = SAMEDEPSOCIALCODE;
        this.SAMEDEPNAME = SAMEDEPNAME;
        this.SAMEDEPNATIONALCODE = SAMEDEPNATIONALCODE;
        this.FCFA21 = FCFA21;
    }
}
