package com.brilliance.isc.esb.model.ecif.cloud;


import java.util.ArrayList;
import java.util.List;

/**
 * @author yangxd
 * @version 1.0
 * @description:
 * @data 2024/1/10 10:34
 */
public class ResCloud09302 extends ResEcifCloud {
    /**
     * 起始笔数[0,4]
     */
    public String Beg_Rec_No;
    /**
     * 查询笔数[0,4]
     */
    public String Rec_Size;
    /**
     * 总笔数[0,4]
     */
    public String Ttl_Rec_Size;
    /**
     * 客户号[0,30]
     */
    public String Org_No;

    public List<ResCloud09302.ItemF09302> F09302 = new ArrayList<>();

    public static class ItemF09302 {
        /**
         * 管户编号[0,30]
         */
        public String Manage_Seq_Id;
        /**
         * 管户类型[0,10]
         */
        public String Manage_Type;
        /**
         * 客户经理[0,50]
         */
        public String Cust_Manager;
        /**
         * 机构代码[0,50]
         */
        public String Org_Id;
        /**
         * 记录创建时间[0,26]
         */
        public String Created_Time;
        /**
         * 记录修改时间[0,26]
         */
        public String Updated_Time;
        /**
         * 记录失效时间[0,26]
         */
        public String End_Time;
        /**
         * 记录进入ECIF时间[0,26]
         */
        public String Ecif_Created_Time;
        /**
         * 记录在ECIF修改时间[0,26]
         */
        public String Ecif_Updated_Time;
        /**
         * 创建机构号[0,10]
         */
        public String Created_Brno;
        /**
         * 修改机构号[0,10]
         */
        public String Updated_Brno;
        /**
         * 创建员工号[0,8]
         */
        public String Created_By_Employee;
        /**
         * 修改员工号[0,8]
         */
        public String Updated_By_Employee;
        /**
         * 授权员工号[0,8]
         */
        public String Author_Employee;
        /**
         * 建立记录的渠道[0,12]
         */
        public String Created_Channel;
        /**
         * 更新记录的渠道[0,12]
         */
        public String Updated_Channel;
        /**
         * 备注信息3[0,60]
         */
        public String Attribute3;
        /**
         * 备注信息4[0,60]
         */
        public String Attribute4;
        /**
         * 备注信息5[0,256]
         */
        public String Attribute5;
        /**
         * 备注信息6[0,256]
         */
        public String Attribute6;

    }

    public ResCloud09302() {
    }

    public ResCloud09302(String beg_Rec_No, String rec_Size, String ttl_Rec_Size, String org_No, List<ResCloud09302.ItemF09302> f09302) {
        Beg_Rec_No = beg_Rec_No;
        Rec_Size = rec_Size;
        Ttl_Rec_Size = ttl_Rec_Size;
        Org_No = org_No;
        F09302 = f09302;
    }
}
