package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL45  国结-额度业务查询交易请求
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL45 {
    /**
     * 明细额度编号
     */
    public String edmxbh;
    /**
     * 占用主体类型
     */
    public String zyztlx;
    /**
     * 占用主体编号
     */
    public String zyztbh;
    /**
     * 返回页号
     */
    public String fhyhao;
    /**
     * 每页返回多少条记录
     */
    public String mytshu;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;

    public InnerReqCL45() {
    }

    public InnerReqCL45(String edmxbh, String zyztlx, String zyztbh, String fhyhao, String mytshu, String bchusr, String accbch) {
        this.edmxbh = edmxbh;
        this.zyztlx = zyztlx;
        this.zyztbh = zyztbh;
        this.fhyhao = fhyhao;
        this.mytshu = mytshu;
        this.bchusr = bchusr;
        this.accbch = accbch;
    }
}
