package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 4203是核心提供的对公定期存款部分提支响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes4203 {
    public InnerRes4203(String guiyxm, String gulyxm, String jbsybh, String jyzyxx, String jiaoym, String zhangh, String kehzwm, String huobdh, String qixirq, String jioyrq, String lixilx, String jio1je, String kihurq, String guiyls, String xiozxh, String pjfkzh, String pngzzl, String baoblj) {
        this.guiyxm = guiyxm;
        this.gulyxm = gulyxm;
        this.jbsybh = jbsybh;
        this.jyzyxx = jyzyxx;
        this.jiaoym = jiaoym;
        this.zhangh = zhangh;
        this.kehzwm = kehzwm;
        this.huobdh = huobdh;
        this.qixirq = qixirq;
        this.jioyrq = jioyrq;
        this.lixilx = lixilx;
        this.jio1je = jio1je;
        this.kihurq = kihurq;
        this.guiyls = guiyls;
        this.xiozxh = xiozxh;
        this.pjfkzh = pjfkzh;
        this.pngzzl = pngzzl;
        this.baoblj = baoblj;
    }

    public InnerRes4203() {
    }

    /**
     * 柜员姓名
     */
    public String guiyxm;
    /**
     * 管理员姓名
     */
    public String gulyxm;
    /**
     * 经办索引编号
     */
    public String jbsybh;
    /**
     * 交易摘要信息
     */
    public String jyzyxx;
    /**
     * 报文名
     */
    public String jiaoym;
    /**
     * 账号
     */
    public String zhangh;
    /**
     * 客户中文名
     */
    public String kehzwm;
    /**
     * 货币代号
     */
    public String huobdh;
    /**
     * 起息日
     */
    public String qixirq;
    /**
     * 交易日期
     */
    public String jioyrq;
    /**
     * 利息
     */
    public String lixilx;
    /**
     * 交易金额
     */
    public String jio1je;
    /**
     * 账户余额
     */
    public String kihurq;
    /**
     * 柜员流水号
     */
    public String guiyls;
    /**
     * 销账序号
     */
    public String xiozxh;
    /**
     * 票据付款人账号
     */
    public String pjfkzh;
    /**
     * 凭证种类
     */
    public String pngzzl;
    /**
     * 报表路径
     */
    public String baoblj;

}
