package com.brilliance.isc.esb.model.ph;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqFTW1 {

    /**
     * 传输标志
     */
    public String TRAFLG;

    /**
     * 文件路径
     */
    public String SNDPAT;

    /**
     * 报文内容
     */
    public String SNDMSG;
    /**
     * 认证信息
     */
    public String TOKEN;

    /**
     * 系统号
     */
    public String SYSCOD;

    /**
     * 备用字段 2
     */
    public String RMK002;

    /**
     * 备用字段 3
     */
    public String RMK003;

    /**
     * 备用字段 4
     */
    public String RMK004;

    /**
     * 备用字段 5
     */
    public String RMK005;

}
