package com.brilliance.isc.common.oit.service;

import com.brilliance.isc.bo.Oit;
import com.brilliance.isc.common.oit.vo.NoticeVo;

import java.util.List;
import java.util.Map;

public interface OitService {
    /**
     * 批量查询通知
     *
     * @param noticeVos
     */
    void queryOitMessage(List<NoticeVo> noticeVos, String type);

    /**
     * 获取错误列表
     *
     * @return
     */
    List<Map<String, Object>> huoquErrorMaps();

    /**
     * 根据objinr 和 objtyp 获取 oit提示信息
     * 返回级别最高的oit
     * @param objinr
     * @param objtyp
     * @return
     */
    Map<String, List<Oit>> filterOit(String objinr, String objtyp);

}
