package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:etg:ETG - Entity Group
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Etg {

        //Internal Unique ID of Entity Group
        private String inr = NULLSTR;

        //Key of Entity Group
        private String extkey = NULLSTR;

        //Name of Entity Group
        private String nam = NULLSTR;

        //System Base Currency
        private String syscur = NULLSTR;

        //Rate Base Currency
        private String ratbascur = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Direction of Rate Logic
        private  int xrtratdir ;
}