package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class Xdt {

    // 唯一ID，主键
    private String inr;

    // 币种
    private String cur;

    // 金额
    private BigDecimal amt = Decimals.ZERO_SCALE3;

    // 衍生品交易类型
    private String typ;

    // 生效日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date begdat;

    // 失效日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date enddat;

    // 实体号
    private String etgextkey;

    // 版本
    private String ver;

}
