package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Eba;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 *
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cfanit {

    //是否显示资本项目页面
    private  String visflg = NULLSTR;
    //地区机构号
    private  String ownextkey = NULLSTR;
    //变动信息数目
    private  int dclnum;
    //?'?任余额信息
    private  String dclflg = NULLSTR;
    //数据提取操作类型
    private  String cfatyp = NULLSTR;
    //数据采集标志
    private  String cfaflg = NULLSTR;
    //签约信息
    private  String basflg = NULLSTR;
    //履约信息
    private  String vrfflg = NULLSTR;
    //原保函金额
    private  BigDecimal oldamt = Decimals.ZERO_SCALE2;
    //履约信息数目
    private  int vrfnum;

    private Ebagrp recgrp;

    private Ebap recp;

    private Eblmod eblmod;

    private Cutp cutp;


    private Cfamap cfamap;

    private Eba oldeba;


}

