package com.brilliance.isc.bo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Mt32m extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Mt32m.class);

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = null;
    //MT300 22A - 报文功能
    private  String amecur = null;
    //Broker's Commission Amount
    private BigDecimal ameamt = Decimals.ZERO_SCALE3;

    private  String newcur = null;
    //Broker's Commission Amount
    private BigDecimal newamt = Decimals.ZERO_SCALE3;


    private  String s22a = null;
    //MT300 94A - 业务范�'
    private  String s94a = null;

    private  String s17r = null;

    private  String s22b = null;


    private  String s30x  = null;
    private  String oldref = null;
    private  String conref = null;
    private  String conno = null;

    private  String a53act = null;
    private  String iniact = null;
    private  String rbcact = null;
    private  String a58act = null;

    private  String b53act = null;
    private  String b56act = null;
    private  String owcact = null;
    private  String b58act = null;
    private  String str300 = null;

    private PtsptaVo b58;

    private PtsptaVo b53;

    private PtsptaVo owc;

    private PtsptaVo b56;


    private PtsptaVo rbc;

    private PtsptaVo ini;

    private PtsptaVo a53;

    private PtsptaVo a58;



    @Override
    public void reset() {
        super.reset();
    }

}
