package com.brilliance.isc.common.invchk.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ImfQueryVo {

    //查验编号
    private String imfref;

//    //影像编号
//    private String imgref;

    //业务编号
    private String ownref;

    //发票号码
    private String invnum;

    //发票代码
    private String invcod;

    //开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatfrom = NULLDATE;

    //截止时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date opndatto = NULLDATE;

    //查验编号状态
    private String imfrefsta;

    //机构号
    private String branch;

    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;
}
