package com.brilliance.isc.common.setmod.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CommCbsLineGrid {

    private String cur;

    private BigDecimal amt = BigDecimal.ZERO;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date valueDate = null;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dat1 = null;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dat2 = null;

    private String feecur;

    private BigDecimal feeamt = BigDecimal.ZERO;

    private BigDecimal ogiamt = BigDecimal.ZERO;

    private String note;
}
