package com.brilliance.isc.vo;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

@Setter
@Getter
public class TextRequestVo<T extends BaseTransactionVo> {
    /**
     * 交易的vo
     */
    private T vo;

    /**
     * 模板字符串
     */
    private String template;

    /**
     * key为变量名
     * value为字段路径，key以#号开头，则表示value是原值，不是路径了
     */
    private Map<String,String> fieldMap;
}
