package com.brilliance.isc.vo.bop;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BopselBackVo {

    private String dblinr;

    private String objinr;

    private String trninr;

    private String objtyp;

    //申报号码
    private String rptno;

    //反馈日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date lsttim;

    //业务编号
    private String ownref;

    //错误信息
    private String dsp;

    //反馈文件名
    private String filnam;

    //反馈状态
    private String errflg;

}
