package com.brilliance.isc.vo.bop;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChkselVo  extends BaseEntity {
   private String rptno ;			//  申报号码		

    private String  branch;			//  机构号

    private String bchnam;			//  机构名称

    private String  usr;			//  员工号
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date begreldat;			//  复核日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date endreldat;
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date begchkdat;			//  对账日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date endchkdat;

    private String objtyp;			//  申报类型
    
}
