package com.brilliance.isc.vo.lg;

import com.brilliance.isc.bo.Bch;
import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BcrincRequestVo extends CommonResult {
    private  String ordinr;
    private  String dlselect;//国际/国内报表
    private  String statisticsort;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date begdat;//开始日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date enddat;//截止日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date fhbgdat;//分行业务量开始日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date fhendat;//分行业务量截止日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date bgdat;//业务处理时效开始日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endat;//业务处理时效截止日期
    private String  branch;//机构号
    private String  bchinr;//机构inr
    private String  sector;//交易类型
    private String extkey;
    private String selref;
    private String selnam;
    private String feestatus;
    private String nam1;
    private String cod;
    private String codmin;//cod小写
    private String  curbranch;//当前机构号
    private List<Bch> bchLst; //机构集合
    private String bussec;//国际交易类型标识
    private String bussecin;//国内交易类型标识
    private String gartyp;//保函类型
    private String selinr;//业务编号inr
    private String ptyinr;//客户号inr
    private String corrpt;//报表类型
    private String usrsort;//柜员列表类型
    private String checkofusr;//全选所有柜员
    private String checkofbch;//全选所有分行
    private String checkoffrm;//全选所有业务交易
    private String fhsort;//报表类型
    private List<UsrExtkeyVo> usrtableData;//柜员列表
    private List<UsrExtkeyVo> usrXtableData;//押汇柜员列表
    private List<CodlistVo> frmtableData;//业务交易列表
    private List<BchlistVo> bchtableData;//分行列表
    private List<CodlistVo> codtableData;//业务交易列表
    private List frmList;//交易名列表
    private List<UsrExtkeyVo> usrList;//勾选客户号列表
    private List<BchlistVo> BchList;//勾选分行列表
    private List<CodlistVo> CodList;//勾选交易列表
    private String fenhsort;//报表类型
    private String jyfl;//交易分类
    private String bbtype;//报表类型
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date begdatexxx;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date enddatexxx;
    private String objtyp;//业务类型
    private String subtyp;//子业务类型
    private String inifrm;//交易码

}
