package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LimAddClcVo {

    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 业务品种[0,40]
     */
    public String YWPZHO;
    /**
     * 国结交易编码[0,10]
     */
    public String GJJYBM;
    /**
     * 业务场景[0,10]
     */
    public String YEWUCJ;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;
    /**
     * 业务币种[0,40]
     */
    public String BIZHON;
    /**
     * 业务余额[0,24]
     */
    public String YEWUYE;
    /**
     * 保证金余额[0,24]
     */
    public String BZJYUE;
    /**
     * 试算类型[0,10]
     */
    public String SHISLX;

}
