package com.brilliance.isc.vo.model;

import java.util.*;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.isc.bo.*;
import com.fasterxml.jackson.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Eblmod  {
    private static Logger log = LoggerFactory.getLogger(Eblmod.class);

    //交易类型
    private String dectyp = NULLSTR;
    //Old Value Stream
    private IStream oldvalstm = new StreamImpl();
    //数据提取标志
    private String trnflg = NULLSTR;
    //发生日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date paydat;


//    @Module(getter = false, setter = false)
//    private transient ModuleHolder<IModule> rec;

    private Cfasig cfasig;

    private Cfacou cfacou;

    private Ebl ebl;

    private Ebl wrkebl;

    private Trn wrktrn;

    private Cfaerr err;

    private Cfabchsel cfabchsel;

}