package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class TrtcreBizInfoVo extends BizInfoVo {

    //setmod.doccur
    private String doccur = "";

    //setmod.docamt
    private BigDecimal docamt = BigDecimal.ZERO;

    //setmod.redamt
    private BigDecimal redamt = BigDecimal.ZERO;

    //brdgrp.rec.docflg
    private String docflg = "";

    //brdgrp.rec.tenmaxday
    //ledgrp.rec.tenmaxday
    //dedgrp.rec.tenmaxday
    private int tenmaxday = 0;

    //bcdgrp.rec.doctypcod
    private String doctypcod = "";

    //bcdgrp.rec.matpercnt
    private int matpercnt = 0;

    //bcdgrp.rec.matpertyp
    private String matpertyp = "";

    //bcdgrp.rec.credat
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat = null;

    //bcdgrp.rec.accdat
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date accdat = null;

    //ledgrp.pcropnamtsum
    //dedgrp.pcropnamtsum
    private BigDecimal pcropnamtsum = BigDecimal.ZERO;

    //lidgrp.rec.stagod
    //bcdgrp.rec.stagod
    //cpdgrp.rec.stagod
    private String stagod = "";

    //brdgrp.rec.invtyp
    //bcdgrp.rec.invtyp
    private String invtyp = "";

    //货物中文描述
    private String goddspcn = "";

    //cpdgrp.rec.pyeact 收款人账号
    private String pyeact = "";

    //付款方式 1-手工送单放款 2-直通式放款
    private String fkfs = "";
}
