package com.brilliance.isc.vo.remit;

import com.brilliance.isc.bo.Cpd;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CpdWithPtsCbbResponseVo extends Cpd {
    /**
     * 经办状态
     */
    private String flwsta;

    /**
     * 币种
     */
    private String cur;

    /**
     * 开立金额
     */
    private BigDecimal amt;
    /**
     * 币种
     */
    private String nom1cur;

    /**
     * 开立金额
     */
    private BigDecimal nom1amt;
    /**
     * 金额折美元
     */
    private BigDecimal nomusdamt;
    /**
     * 金额折人民币
     */
    private BigDecimal nomxrfamt;

    /**
     * 汇款人
     */
    private String orcExtkey;

    /**
     * 汇款人名称
     */
    private String orcName;
    /**
     * 汇款机构
     */
    private String oriExtkey;

    /**
     * 汇款机构名称
     */
    private String oriName;

    /**
     * 收款人
     */
    private String pyeExtkey;

    /**
     * 收款人名称
     */
    private String pyeName;
    /**
     * 付款行
     */
    private String pybExtkey;

    /**
     * 付款行
     */
    private String pybName;
    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;

    /**
     * 前端渠道
     */
    private String channel;

    /**
     * 前端渠道名称
     */
    private String frontchannel;
    /**
     *渠道业务编号
     */
    private String chnref;
}

