package com.brilliance.isc.esb.model.clm;


import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL42 extends AbsReqNew {

    /**
     * 客户类型[0,10]
     */
    public String KEHULX;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 同业SWIFT号[0,40]
     */
    public String SWIFTH;
    /**
     * 额度类型[0,10]
     */
    public String EDLEIX;
    /**
     * 额度编号[0,40]
     */
    public String EDBHAO;
    /**
     * 额度状态[0,10]
     */
    public String EDZTDM;
    /**
     * 额度品种[0,40]
     */
    public String EDPINZ;
    /**
     * 入账机构[0,40]
     */
    public String RUZHJG;
    /**
     * 返回页号[0,10]
     */
    public String FHYHAO;
    /**
     * 每页返回记录数[0,2]
     */
    public String MYTSHU;

    public ReqCL42() {
    }

    public ReqCL42(String KEHULX, String ECIFNO, String SWIFTH, String EDLEIX, String EDBHAO, String EDZTDM, String EDPINZ, String RUZHJG, String FHYHAO, String MYTSHU) {
        this.KEHULX = KEHULX;
        this.ECIFNO = ECIFNO;
        this.SWIFTH = SWIFTH;
        this.EDLEIX = EDLEIX;
        this.EDBHAO = EDBHAO;
        this.EDZTDM = EDZTDM;
        this.EDPINZ = EDPINZ;
        this.RUZHJG = RUZHJG;
        this.FHYHAO = FHYHAO;
        this.MYTSHU = MYTSHU;
    }
}
