package com.brilliance.isc.esb.model.ebmp;

/**
 * 6903 报文返回结果接口对外请求模型
 */
public class Req6903 {
    /**
     * 中台流水号
     */
    public String WYILSH;
    /**
     * 第三方支付机构流水号
     */
    public String SHLSH;
    /**
     * 支付机构ECIF号
     */
    public String ECIFNO;
    /**
     * 组织机构代码
     */
    public String ZZJGDM;
    /**
     * 国结业务参考号
     */
    public String YEWCKH;
    /**
     * 发报成功日期(yyyyMMdd)
     */
    public String SWFDAT;
    /**
     * 发报结果标识
     * 0失败
     * 1成功
     */
    public String FBJGBS;
    /**
     * 发报结果信息(ACK：表示报文发送成功。)
     */
    public String FBJGXX;
    /**
     * 备用字段1
     */
    public String BEYZD1;
    /**
     * 备用字段2
     */
    public String BEYZD2;
    /**
     * 备用字段3
     */
    public String BEYZD3;

    public Req6903() {
    }

    public Req6903(String WYILSH, String SHLSH, String ECIFNO, String ZZJGDM, String YEWCKH, String SWFDAT, String FBJGBS, String BEYZD1, String BEYZD2, String BEYZD3) {
        this.WYILSH = WYILSH;
        this.SHLSH = SHLSH;
        this.ECIFNO = ECIFNO;
        this.ZZJGDM = ZZJGDM;
        this.YEWCKH = YEWCKH;
        this.SWFDAT = SWFDAT;
        this.FBJGBS = FBJGBS;
        this.BEYZD1 = BEYZD1;
        this.BEYZD2 = BEYZD2;
        this.BEYZD3 = BEYZD3;
    }
}
