package com.brilliance.isc.esb.model.ebmp;

import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 6805 cips汇款中台请求国结收汇确认对外响应对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class Res6805 extends ErrorData {
    /**
     * 中台流水号 [0,40]
     */
    public String ZHTLSH;

    /**
     * 是否成功标志 [0,7]
     */
    public String CHGBZH;

    /**
     * 错误信息 [0,140]
     */
    public String ERRMSG;

    /**
     * 备用字段1 [0,140]
     */
    public String BEYZD1;

    /**
     * 备用字段2 [0,140]
     */
    public String BEYZD2;

    /**
     * 备用字段3 [0,140]
     */
    public String BEYZD3;

    /**
     * 备用字段4 [0,140]
     */
    public String BEYZD4;

    /**
     * 备用字段5 [0,140]
     */
    public String BEYZD5;

}
