package com.brilliance.isc.esb.model.inner;

import lombok.Data;

/**
 * 备案表预核验内部请求模型
 */
@Data
public class InnerReqTaxcheck {
    /**
     * 备案表编号
     */
    public String taxformcode;
    /**
     * 验证码
     */
    public String authcode;
    /**
     * 金融机构标识码
     */
    public String banksafecode;
    /**
     * 国结流水号
     */
    public String srvnum;

    public InnerReqTaxcheck() {
    }

    public InnerReqTaxcheck(String taxformcode, String authcode, String banksafecode, String srvnum) {
        this.taxformcode = taxformcode;
        this.authcode = authcode;
        this.banksafecode = banksafecode;
        this.srvnum = srvnum;
    }
}
