package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 6311 用借据号查询贷款信息
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes6157 {
    public String ZANGHO;       //帐号
    public String HUKUZH;       //还款帐号
    public String KEHUCN;       //客户中文名
    public String DIKUZL;       //贷款种类
    public String SOXILX;       //收息类型
    public String HUKUFS;       //还款方式
    public String KEYOJE;       //可用金额
    public String BWQXLX;       //表外欠息利息
    public String BOWIQX;       //表外欠息
    public String BNQXLX;       //表内欠息利息
    public String BONEQX;       //表内欠息
    public String BEJILX;       //本金利息
    public String BENJIN;       //本金
    public String CHBWQL;       //偿还表外欠息利息
    public String CHBWQX;       //偿还表外欠息
    public String CHBNQL;       //偿还表内欠息利息
    public String CHBNQX;       //偿还表内欠息
    public String CHBJLX;       //偿还本金利息
    public String CHDKBJ;       //偿还贷款本金
    public String JOYIJE;       //交易金额
    public String DIKUXZ;       //贷款性质
    public String ZIFUTJ;       //支付条件
    public String SJKHMC;       //上级客户名称

    public InnerRes6157() {
    }

    public InnerRes6157(String ZANGHO, String HUKUZH, String KEHUCN, String DIKUZL, String SOXILX, String HUKUFS, String KEYOJE, String BWQXLX, String BOWIQX, String BNQXLX, String BONEQX, String BEJILX, String BENJIN, String CHBWQL, String CHBWQX, String CHBNQL, String CHBNQX, String CHBJLX, String CHDKBJ, String JOYIJE, String DIKUXZ, String ZIFUTJ, String SJKHMC) {
        this.ZANGHO = ZANGHO;
        this.HUKUZH = HUKUZH;
        this.KEHUCN = KEHUCN;
        this.DIKUZL = DIKUZL;
        this.SOXILX = SOXILX;
        this.HUKUFS = HUKUFS;
        this.KEYOJE = KEYOJE;
        this.BWQXLX = BWQXLX;
        this.BOWIQX = BOWIQX;
        this.BNQXLX = BNQXLX;
        this.BONEQX = BONEQX;
        this.BEJILX = BEJILX;
        this.BENJIN = BENJIN;
        this.CHBWQL = CHBWQL;
        this.CHBWQX = CHBWQX;
        this.CHBNQL = CHBNQL;
        this.CHBNQX = CHBNQX;
        this.CHBJLX = CHBJLX;
        this.CHDKBJ = CHDKBJ;
        this.JOYIJE = JOYIJE;
        this.DIKUXZ = DIKUXZ;
        this.ZIFUTJ = ZIFUTJ;
        this.SJKHMC = SJKHMC;
    }
}
