package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 6311 用借据号查询贷款信息
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes6311 {
    /**
     * 报文名
     */
    public String jiaoym;
    /**
     * 营业机构号
     */
    public String yngyjg;
    /**
     * 帐务机构号
     */
    public String zhngjg;
    /**
     * 借据号
     */
    public String jiejuh;
    /**
     * 帐号
     */
    public String zhangh;
    /**
     * 贷款种类
     */
    public String daikzl;
    /**
     * 贷款性质
     */
    public String daikxz;
    /**
     * 贷款类型
     */
    public String daiklx;
    /**
     * 贷款类型名称
     */
    public String dklxmc;
    /**
     * 客户号
     */
    public String kehhao;
    /**
     * 客户中文名
     */
    public String kehzwm;
    /**
     * 合同编号
     */
    public String htngbh;
    /**
     * 货币代号
     */
    public String huobdh;
    /**
     * 发放金额
     */
    public String ffngje;
    /**
     * 起息日
     */
    public String qixirq;
    /**
     * 开户日期
     */
    public String kaihrq;
    /**
     * 到期日
     */
    public String daoqrq;
    /**
     * 宽限期
     */
    public String kuanxq;
    /**
     * 帐户余额
     */
    public String zhhuye;
    /**
     * 积数
     */
    public String jishuu;
    /**
     * 应加/减积数
     */
    public String yjajjs;
    /**
     * 应加/减利息
     */
    public String yjajlx;
    /**
     * 利率调整方式
     */
    public String lltzfs;
    /**
     * 利率调整月日数
     */
    public String lltyrs;
    /**
     * 下一调息日
     */
    public String xytxrq;
    /**
     * 正常贷款利率种类
     */
    public String zdllzl;
    /**
     * 基准利率
     */
    public String jizhll;
    /**
     * 利率
     */
    public String lilvll;
    /**
     * 浮动方式
     */
    public String fudfsi;
    /**
     * 浮动利率
     */
    public String fdngll;
    /**
     * 罚息比率
     */
    public String faxibl;
    /**
     * 计息周期
     */
    public String jixizq;
    /**
     * 计息日期
     */
    public String jixirq;
    /**
     * 固定周期
     */
    public String gdngzq;
    /**
     * 上次计息日
     */
    public String scjxrq;
    /**
     * 下次计息日期
     */
    public String xcjxrq;
    /**
     * 收息类型
     */
    public String shxilx;
    /**
     * 贷款入帐帐号
     */
    public String dkrzzh;
    /**
     * 结算帐号
     */
    public String jieszh;
    /**
     * 第二还款帐号
     */
    public String drhkzh;
    /**
     * 第三方还款帐号
     */
    public String dshkzh;
    /**
     * 第三方还款方式
     */
    public String dshkfs;
    /**
     * 客户姓名
     */
    public String kehuxm;
    /**
     * 计复息标志
     */
    public String jfxibz;
    /**
     * 表内本年帐号
     */
    public String bnbnzh;
    /**
     * 表内本年欠息额
     */
    public String bnbnqx;
    /**
     * 表外本年帐号
     */
    public String bwbnzh;
    /**
     * 表外本年欠息额
     */
    public String bwbnqx;
    /**
     * 五级贷款分类
     */
    public String wjdkfl;
    /**
     * 违约利率
     */
    public String weiyll;
    /**
     * 逾期计息方式
     */
    public String yuqfsi;
    /**
     * 利率调整周期
     */
    public String ltizzq;
    /**
     * 手续费计收方式
     */
    public String sxffsi;
    /**
     * 押汇种类
     */
    public String yhuizl;
    /**
     * 押汇编号
     */
    public String yhuibh;
    /**
     * 计息与否
     */
    public String jixiyf;
    /**
     * 合同金额
     */
    public String htngje;
    /**
     * 放贷部门
     */
    public String fdbumn;
    /**
     * 信贷柜员
     */
    public String xindgy;
    /**
     * 展期标志
     */
    public String zhqibz;
    /**
     * 垫款来源编号
     */
    public String dilybh;
    /**
     * 停息日期
     */
    public String tngxrq;
    /**
     * 是否标志
     */
    public String shfobz;
    /**
     * 是否允许转逾期标志
     */
    public String dadibz;
    /**
     * 股东客户号
     */
    public String gdnkhh;
    /**
     * 委托单位帐号
     */
    public String wtdwzh;
    /**
     * 委托单位基金帐号
     */
    public String wtjjzh;
    /**
     * 委托贷款代扣税标志
     */
    public String weitbz;
    /**
     * 委托贷款代扣税税率
     */
    public String weitsl;
    /**
     * 展期合同号
     */
    public String zqheth;
    /**
     * 信用证编号
     */
    public String xiyzbh;
    /**
     * 记录状态
     */
    public String jiluzt;
    /**
     * 特殊贷款标志
     */
    public String tsdkbz;
    /**
     * 业务代号
     */
    public String yewudh;
    /**
     * 是否停息标志
     */
    public String shfotx;
    /**
     * 委托贷款违约计息方式
     */
    public String weiyjx;
    /**
     * 逾期利率
     */
    public String yuqill;
    /**
     * 销户日期
     */
    public String xiohrq;
    /**
     * 银团贷款款项来源帐号
     */
    public String ytkxly;
    /**
     * 存期
     */
    public String cunqii;
    /**
     * 银团贷款基金帐号
     */
    public String ydjjzh;
    /**
     * 还款方式
     */
    public String hunkfs;
    /**
     * 分摊规则
     */
    public String fentgz;
    /**
     * 宽限期内是否计息
     */
    public String shfbz1;
    /**
     * LPR期限品种
     */
    public String shijcq;
    /**
     * 指定下次结息扣款日
     */
    public String zhidrq;
    /**
     * 指定下次重定价生效日
     */
    public String tiozrq;
    /**
     * 间隔月数
     */
    public String zuicqx;

    public InnerRes6311() {
    }

    public InnerRes6311(String jiaoym, String yngyjg, String zhngjg, String jiejuh, String zhangh, String daikzl, String daikxz, String daiklx, String dklxmc, String kehhao, String kehzwm, String htngbh, String huobdh, String ffngje, String qixirq, String kaihrq, String daoqrq, String kuanxq, String zhhuye, String jishuu, String yjajjs, String yjajlx, String lltzfs, String lltyrs, String xytxrq, String zdllzl, String jizhll, String lilvll, String fudfsi, String fdngll, String faxibl, String jixizq, String jixirq, String gdngzq, String scjxrq, String xcjxrq, String shxilx, String dkrzzh, String jieszh, String drhkzh, String dshkzh, String dshkfs, String kehuxm, String jfxibz, String bnbnzh, String bnbnqx, String bwbnzh, String bwbnqx, String wjdkfl, String weiyll, String yuqfsi, String ltizzq, String sxffsi, String yhuizl, String yhuibh, String jixiyf, String htngje, String fdbumn, String xindgy, String zhqibz, String dilybh, String tngxrq, String shfobz, String dadibz, String gdnkhh, String wtdwzh, String wtjjzh, String weitbz, String weitsl, String zqheth, String xiyzbh, String jiluzt, String tsdkbz, String yewudh, String shfotx, String weiyjx, String yuqill, String xiohrq, String ytkxly, String cunqii, String ydjjzh, String hunkfs, String fentgz, String shfbz1, String shijcq, String zhidrq, String tiozrq, String zuicqx) {
        this.jiaoym = jiaoym;
        this.yngyjg = yngyjg;
        this.zhngjg = zhngjg;
        this.jiejuh = jiejuh;
        this.zhangh = zhangh;
        this.daikzl = daikzl;
        this.daikxz = daikxz;
        this.daiklx = daiklx;
        this.dklxmc = dklxmc;
        this.kehhao = kehhao;
        this.kehzwm = kehzwm;
        this.htngbh = htngbh;
        this.huobdh = huobdh;
        this.ffngje = ffngje;
        this.qixirq = qixirq;
        this.kaihrq = kaihrq;
        this.daoqrq = daoqrq;
        this.kuanxq = kuanxq;
        this.zhhuye = zhhuye;
        this.jishuu = jishuu;
        this.yjajjs = yjajjs;
        this.yjajlx = yjajlx;
        this.lltzfs = lltzfs;
        this.lltyrs = lltyrs;
        this.xytxrq = xytxrq;
        this.zdllzl = zdllzl;
        this.jizhll = jizhll;
        this.lilvll = lilvll;
        this.fudfsi = fudfsi;
        this.fdngll = fdngll;
        this.faxibl = faxibl;
        this.jixizq = jixizq;
        this.jixirq = jixirq;
        this.gdngzq = gdngzq;
        this.scjxrq = scjxrq;
        this.xcjxrq = xcjxrq;
        this.shxilx = shxilx;
        this.dkrzzh = dkrzzh;
        this.jieszh = jieszh;
        this.drhkzh = drhkzh;
        this.dshkzh = dshkzh;
        this.dshkfs = dshkfs;
        this.kehuxm = kehuxm;
        this.jfxibz = jfxibz;
        this.bnbnzh = bnbnzh;
        this.bnbnqx = bnbnqx;
        this.bwbnzh = bwbnzh;
        this.bwbnqx = bwbnqx;
        this.wjdkfl = wjdkfl;
        this.weiyll = weiyll;
        this.yuqfsi = yuqfsi;
        this.ltizzq = ltizzq;
        this.sxffsi = sxffsi;
        this.yhuizl = yhuizl;
        this.yhuibh = yhuibh;
        this.jixiyf = jixiyf;
        this.htngje = htngje;
        this.fdbumn = fdbumn;
        this.xindgy = xindgy;
        this.zhqibz = zhqibz;
        this.dilybh = dilybh;
        this.tngxrq = tngxrq;
        this.shfobz = shfobz;
        this.dadibz = dadibz;
        this.gdnkhh = gdnkhh;
        this.wtdwzh = wtdwzh;
        this.wtjjzh = wtjjzh;
        this.weitbz = weitbz;
        this.weitsl = weitsl;
        this.zqheth = zqheth;
        this.xiyzbh = xiyzbh;
        this.jiluzt = jiluzt;
        this.tsdkbz = tsdkbz;
        this.yewudh = yewudh;
        this.shfotx = shfotx;
        this.weiyjx = weiyjx;
        this.yuqill = yuqill;
        this.xiohrq = xiohrq;
        this.ytkxly = ytkxly;
        this.cunqii = cunqii;
        this.ydjjzh = ydjjzh;
        this.hunkfs = hunkfs;
        this.fentgz = fentgz;
        this.shfbz1 = shfbz1;
        this.shijcq = shijcq;
        this.zhidrq = zhidrq;
        this.tiozrq = tiozrq;
        this.zuicqx = zuicqx;
    }
}
