package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 核心系统提供二代支付普通汇兑交易【组合交易】响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8918 {
    public InnerRes8918(String objectname, String biaosh, String jbsybh, String xuhaoo, String jioyrq, String qantls, String msgsno, String canssj, String canshy) {
        this.objectname = objectname;
        this.biaosh = biaosh;
        this.jbsybh = jbsybh;
        this.xuhaoo = xuhaoo;
        this.jioyrq = jioyrq;
        this.qantls = qantls;
        this.msgsno = msgsno;
        this.canssj = canssj;
        this.canshy = canshy;
    }

    public InnerRes8918() {
    }

    public String objectname;
    /**
     * 标识号
     */
    public String biaosh;
    /**
     * 经办索引编号（打印核实
     */
    public String jbsybh;
    /**
     * 序号
     */
    public String xuhaoo;
    /**
     * 交易日期
     */
    public String jioyrq;
    /**
     * 前台流水号
     */
    public String qantls;
    /**
     * 报文序列号
     */
    public String msgsno;
    /**
     * 参数数据
     */
    public String canssj;
    /**
     * 参数
     */
    public String canshy;
}
