package com.brilliance.isc.esb.model.qyxx;


/**
 * 云平台和e结算签约信息处理请求模型
 */
public class Reqqyxx {
    /**
     * 客户编号 [0,24]
     */
    public String ptyextkey;
    /**
     * 客户名称 [0,40]
     */
    public String ptynam;
    /**
     * 渠道来源 [0,1]
     * Y：云平台
     * E：e结算
     */
    public String fromflg;
    /**
     * 签约状态 [0,1]
     * 0：已签约
     * 1：已停用
     * 2：冻结
     */
    public String sinsta;
    /**
     * 签约时间[0,200]
     */
    public String sintime;
    /**
     * 是否接受通知 [0,1]
     * Y：是
     * N：否
     */
    public String ntfsta;
    /**
     * 签约备注信息 [0,100]
     */
    public String remark;
    /**
     * 初始时间[0,200]
     */
    public String startTime;
    /**
     * 结束时间[0,200]
     */
    public String endTime;
    /**
     * 操作类型[0,1]
     * 0：新增
     * 1：修改
     * 2：注销
     */
    public String flag;

    public Reqqyxx() {
    }

    public Reqqyxx(String ptyextkey, String ptynam, String fromflg, String sinsta, String sintime, String ntfsta, String remark, String startTime, String endTime, String flag) {
        this.ptyextkey = ptyextkey;
        this.ptynam = ptynam;
        this.fromflg = fromflg;
        this.sinsta = sinsta;
        this.sintime = sintime;
        this.ntfsta = ntfsta;
        this.remark = remark;
        this.startTime = startTime;
        this.endTime = endTime;
        this.flag = flag;
    }
}
