package com.brilliance.isc.esb.model.whj.content.export;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

/**
 * /v1/asset/accept  融资受理通过
 * /v1/asset/reject-accept 融资受理拒绝
 * /v1/asset/reject-audit 融资审核拒绝
 * /v1/asset/reject-pay 融资放款拒绝
 * /v1/asset/correct 银行端放款冲正
 * /v1/asset/abandon 融资申请废弃
 *
 * */

@Data
public class AcceptContent extends UnCryptContent {

    public String safeAssetId;

    public String reason;

}
