package com.brilliance.isc.esb.newmodel.etrade;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResEjspty {

    /**
     * 交易结果
     */
    public String JIAYJG;

    public List<ResultLst> ResultLst = new ArrayList<>();

    public static class ResultLst {
        /**
         * 组织机构代码
         * */
        public String atccod;

        /**
         * 统一社会信用代码
         * */
        public String cifno;

        /**
         * 主体性质
         * */
        public String trnman;

        /**
         * 客户号
         * */
        public String cid;

        /**
         * 当事人中文名称
         * */
        public String engnam;

        /**
         * 当事人名称
         * */
        public String nam;
    }


}
